services:
  cassandra:
    image: docker-registry.wikimedia.org/releng/cassandra311:latest
    ports:
      # Port forward cassandra client facing port to localhost
      # in order for it to be accessible to the local dev env
      - 9042:9042
    healthcheck:
      # Ensure that the single test cassandra node is up
      test: nodetool status | grep UN
      interval: 15s
      timeout: 15s
      retries: 10
  tests:
    depends_on:
      cassandra:
        condition: service_healthy
    build:
      context: .
      dockerfile: .pipeline/blubber.yaml
    volumes:
      # Mount the repository directory as a volume to the test
      # instance so changes are available on the fly
      - ./:/srv/repo
    environment:
      # Env var for the tests to discover the cassandra node
      STORAGE_BACKEND_CASSANDRA_HOST: '["cassandra"]'
    command: npm run test
